#!/bin/bash

# quick test for existdb apis availability
# to be executed server side after docker-compose up

case $1 in
    "main")
    URL="http://localhost:8092/api/textapi/ahikar/arabic-karshuni/collection.json"
    ;;
    "develop")
    URL="http://localhost:8093/api/textapi/ahikar/arabic-karshuni/collection.json"
    ;;
    *)
    URL="http://localhost:8094/api/textapi/ahikar/arabic-karshuni/collection.json"
    ;;
esac

header=$(curl --head -s ${URL})

status=$(echo $header | head -n 1 | cut -d" " -f 2)
echo "Current HTTP status is $status."
if [[ "$status" == "200" ]]; then exit 0; else exit 1; fi
